Package org.apache.tapestry5.internal.jpa

# Class NoopAnnotatedType<X>

java.lang.Object
org.apache.tapestry5.internal.jpa.NoopAnnotatedType<X>

All Implemented Interfaces:
  `javax.enterprise.inject.spi.Annotated`, `javax.enterprise.inject.spi.AnnotatedType<X>`

public class NoopAnnotatedType<X> extends Object implements javax.enterprise.inject.spi.AnnotatedType<X>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoopAnnotatedType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T extends Annotation>
  T`
  `getAnnotation(Class<T> annotationType)`
  `Set<Annotation>`
  `getAnnotations()`
  `Type`
  `getBaseType()`
  `Set<javax.enterprise.inject.spi.AnnotatedConstructor<X>>`
  `getConstructors()`
  `Set<javax.enterprise.inject.spi.AnnotatedField<? super X>>`
  `getFields()`
  `Class<X>`
  `getJavaClass()`
  `Set<javax.enterprise.inject.spi.AnnotatedMethod<? super X>>`
  `getMethods()`
  `Set<Type>`
  `getTypeClosure()`
  `boolean`
  `isAnnotationPresent(Class<? extends Annotation> annotationType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoopAnnotatedType

    public NoopAnnotatedType()

- ## Method Details

  - ### getBaseType

    public Type getBaseType()
    Specified by:
      `getBaseType` in interface `javax.enterprise.inject.spi.Annotated`

  - ### getTypeClosure

    public Set<Type> getTypeClosure()
    Specified by:
      `getTypeClosure` in interface `javax.enterprise.inject.spi.Annotated`

  - ### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationType)
    Specified by:
      `getAnnotation` in interface `javax.enterprise.inject.spi.Annotated`

  - ### getAnnotations

    public Set<Annotation> getAnnotations()
    Specified by:
      `getAnnotations` in interface `javax.enterprise.inject.spi.Annotated`

  - ### isAnnotationPresent

    public boolean isAnnotationPresent(Class<? extends Annotation> annotationType)
    Specified by:
      `isAnnotationPresent` in interface `javax.enterprise.inject.spi.Annotated`

  - ### getJavaClass

    public Class<X> getJavaClass()
    Specified by:
      `getJavaClass` in interface `javax.enterprise.inject.spi.AnnotatedType<X>`

  - ### getConstructors

    public Set<javax.enterprise.inject.spi.AnnotatedConstructor<X>> getConstructors()
    Specified by:
      `getConstructors` in interface `javax.enterprise.inject.spi.AnnotatedType<X>`

  - ### getMethods

    public Set<javax.enterprise.inject.spi.AnnotatedMethod<? super X>> getMethods()
    Specified by:
      `getMethods` in interface `javax.enterprise.inject.spi.AnnotatedType<X>`

  - ### getFields

    public Set<javax.enterprise.inject.spi.AnnotatedField<? super X>> getFields()
    Specified by:
      `getFields` in interface `javax.enterprise.inject.spi.AnnotatedType<X>`